skipping incompatible C:\GTEST\gtest-1.7.0\lib/libtest.a when searching for-ltest

Asked 2 months ago, Updated 2 months ago, 3 views

I'm thinking of doing a unit test using Google test in Eclipse.

http://programingstudy2013.blogspot.jp/2014/08/eclipse-cdt-googletest.html
When I set it up and build it, I get the following error.

skipping incompatible C:\GTEST\gtest-1.7.0\lib/libtest.a when searching for-ltest

The environment is Windows 7 64bit.Eclipse uses Mars from Pleiades All in One.I use the MinGW that came with Eclipse as it is.

Please tell me the cause and how to deal with it.

eclipse

2022-09-30 14:08

1 Answers

Self-resolved.

The reason for the above error seems to be that libtest.a is a 32-bit version.After a lot of research, I was able to solve this problem by building using the 64-bit version of MinGW!


2022-09-30 14:08

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.